#include "FrustumCullingTraverser.h"


namespace CHCDemoEngine
{

FrustumCullingTraverser::FrustumCullingTraverser(): RenderTraverser() 
{
}


void FrustumCullingTraverser::Traverse()
{
	while (!mDistanceQueue.empty())
	{
		BvhNode *node = mDistanceQueue.top();
		mDistanceQueue.pop();
	
		if (0 && !IsNodeGeometryVisible(node, 10))
		{
			node->SetVisible(false);
			continue;
		}

		if (mBvh->IsWithinViewFrustum(node))
		{
			TraverseNode(node);
		}
		else
		{
			++ mStats.mNumFrustumCulledNodes;
		}
	}
}


}